Results 1 to 7 of 7

Thread: Repository Metadata error

Hybrid View

  1. #1

    Question Repository Metadata error

    Hi !

    After struggling to get my broadcom wireless card working with SLED 11 SP2 on a personal HP mini 5103, I have got a new error involving update and repository.

    At first, when my broadcom ward was not recognized, no repository was found while using suse_register (only ATI and Nvidia repositories).

    Now, I have built myself a driver to get the broadcom card active, but I have a metadata error on the main update repository :

    "2012-07-30 23:08:19 SUSE::SRPrivate - [error] All services have been refreshed.
    2012-07-30 23:08:19 SUSE::SRPrivate - [error] Repository 'ATI-Driver-SLE11-SP2' is up to date.
    2012-07-30 23:08:19 SUSE::SRPrivate - [error] Retrieving repository 'SUSE:SLE-11:SP2' metadata [.error]
    2012-07-30 23:08:19 SUSE::SRPrivate - [error] Repository 'nVidia-Driver-SLE11-SP2' is up to date.
    2012-07-30 23:08:19 SUSE::SRPrivate - [error] Repository 'SUSE:SLE-11:SP2' is invalid.
    2012-07-30 23:08:19 SUSE::SRPrivate - [error] [|] Valid metadata not found at specified URL(s)
    2012-07-30 23:08:19 SUSE::SRPrivate - [error] Please check if the URIs defined for this repository are pointing to a valid repository.
    2012-07-30 23:08:19 SUSE::SRPrivate - [error] Skipping repository 'SUSE:SLE-11:SP2' because of the above error.
    2012-07-30 23:08:19 SUSE::SRPrivate - [error] Some of the repositories have not been refreshed because of an error.
    2012-07-30 23:08:19 SUSE::SRPrivate - [error] Ignored(34)"

    I found something on google :
    http://newsgroupstats.info/article/f...m-SLED-11.html

    Unfortunately it did not solve my issue.

    I have contacted the HP support team, but maybe someone here knows the issue. It is very strange that I cannot get any repository if something on my netbook does not work (no repository if the wireless card does not work) and now an error happens if I try to use an unofficial driver. Is there some security between the hardware and the credential repository ?

    By the way, I have an official registration code till end 2013; NCC tells me it is active.

    Regards,

    Arnaud

  2. #2

    Re: Repository Metadata error

    Arnaudk,
    Where do you get 'SUSE:SLE-11:SP2' repo?

    Quote Originally Posted by Arnaudk93 View Post
    ...2012-07-30 23:08:19 SUSE::SRPrivate - [error] Repository 'ATI-Driver-SLE11-SP2' is up to date.
    2012-07-30 23:08:19 SUSE::SRPrivate - [error] Retrieving repository 'SUSE:SLE-11:SP2' metadata [.error]
    ...
    2012-07-30 23:08:19 SUSE::SRPrivate - [error] Skipping repository 'SUSE:SLE-11:SP2' because of the above error.
    I for my SLED11-SP2 have only the following SLE repos:
    Code:
     7 | VALIDITYINC-Driver-HP-BNB-SLE11-SP2               | VALIDITYINC-Driver-HP-BNB-SLE11-SP2               | Yes     | Yes     | http://www.validityinc.com/uploads/hp/bnb/2012/sle11sp2                                           
    ...
    10 | nu_novell_com:SLE11-SP2-Debuginfo-Core            | SLE11-SP2-Debuginfo-Core                          | No      | Yes     | https://nu.novell.com/repo/$RCE/SLE11-SP2-Debuginfo-Core/sle-11-i586?credentials=NCCcredentials   
    11 | nu_novell_com:SLE11-SP2-Debuginfo-Updates         | SLE11-SP2-Debuginfo-Updates                       | No      | Yes     | https://nu.novell.com/repo/$RCE/SLE11-SP2-Debuginfo-Updates
    - others are SLED11:
    http://forums.suse.com/showthread.ph...-to-SLED11-SP2
    Maybe you need to check your rl?

  3. #3

    Re: Repository Metadata error

    I don't have these ones. I could try with a "evaluation code" in order to check whether there is a problem related to the id I use

    Quote Originally Posted by LLiner View Post
    Arnaudk,
    Where do you get 'SUSE:SLE-11:SP2' repo?



    I for my SLED11-SP2 have only the following SLE repos:
    Code:
     7 | VALIDITYINC-Driver-HP-BNB-SLE11-SP2               | VALIDITYINC-Driver-HP-BNB-SLE11-SP2               | Yes     | Yes     | http://www.validityinc.com/uploads/hp/bnb/2012/sle11sp2                                           
    ...
    10 | nu_novell_com:SLE11-SP2-Debuginfo-Core            | SLE11-SP2-Debuginfo-Core                          | No      | Yes     | https://nu.novell.com/repo/$RCE/SLE11-SP2-Debuginfo-Core/sle-11-i586?credentials=NCCcredentials   
    11 | nu_novell_com:SLE11-SP2-Debuginfo-Updates         | SLE11-SP2-Debuginfo-Updates                       | No      | Yes     | https://nu.novell.com/repo/$RCE/SLE11-SP2-Debuginfo-Updates
    - others are SLED11:
    http://forums.suse.com/showthread.ph...-to-SLED11-SP2
    Maybe you need to check your rl?

  4. #4

    Re: Repository Metadata error

    You could try purging all local metadata, though whether that helps or not depends on what the problem is.
    Code:
    $ zypper clean -a
    You don't explain what this SUSE:SLE-11:SP2 repo is. (A Novell repo, a HP repo, something else) Can you post the output of
    Code:
    $ zypper lr -u
    wrap it in CODE tags for readability.


    Quote Originally Posted by Arnaudk93 View Post
    Is there some security between the hardware and the credential repository ?
    If there is I can't imagine what form it would take. I don't see how the wireless driver you're using will affect your ability to access any given repository, unless of course that driver doesn't actually work in which case you'll have no network connection and so wouldn't be able access any repository or of course, anything else.

  5. #5

    Re: Repository Metadata error

    Hi,

    Below the output of the command :
    Code:
    zypper lr -u
    # | Alias                   | Nom                     | activ | Rafrachir | URI                                                                  
    --+-------------------------+-------------------------+--------+------------+----------------------------------------------------------------------
    1 | ATI-Driver-SLE11-SP2    | ATI-Driver-SLE11-SP2    | Oui    | Oui        | http://www2.ati.com/suse/sle11sp2                                    
    2 | SUSE:SLE-11:SP2         | SUSE:SLE-11:SP2         | Oui    | Oui        | http://download.opensuse.org/repositories/SUSE:/SLE-11:/SP2/standard/
    3 | nVidia-Driver-SLE11-SP2 | nVidia-Driver-SLE11-SP2 | Oui    | Oui        | http://download.nvidia.com/novell/sle11sp2
    Regards,

    Arnaud


    Quote Originally Posted by mikewillis View Post
    You could try purging all local metadata, though whether that helps or not depends on what the problem is.
    Code:
    $ zypper clean -a
    You don't explain what this SUSE:SLE-11:SP2 repo is. (A Novell repo, a HP repo, something else) Can you post the output of
    Code:
    $ zypper lr -u
    wrap it in CODE tags for readability.



    If there is I can't imagine what form it would take. I don't see how the wireless driver you're using will affect your ability to access any given repository, unless of course that driver doesn't actually work in which case you'll have no network connection and so wouldn't be able access any repository or of course, anything else.

  6. #6

    Re: Repository Metadata error

    Is that the full list of repos?

    I think the problem you're having with that SUSE:SLE-11:SP2 is caused by the fact the url doesn't exist. http://download.opensuse.org/repositories/SUSE: exists, but not the rest of it. Can you recall where did you get it and why you have it in your repo list?

  7. #7

    Re: Repository Metadata error

    I just used the suse-register command with my official registration code that last end od 2013.

    I tried a evaluation code and I have got all the necessary repos, meaning my official registration code causes the problem. Strange as in NCC, the code is still active.

    any idea ?

    Regards,

    Arnaud

    Quote Originally Posted by mikewillis View Post
    Is that the full list of repos?

    I think the problem you're having with that SUSE:SLE-11:SP2 is caused by the fact the url doesn't exist. http://download.opensuse.org/repositories/SUSE: exists, but not the rest of it. Can you recall where did you get it and why you have it in your repo list?

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •